## DESCRIPTION

         The look utility displays any lines in file which contain string as a
         prefix.  As look performs a binary search, the lines in file must be
         sorted (where sort(1) got the same options -d and/or -f that look is
         invoked with).

         If file is not specified, the file /usr/share/dict/words is used, only
         alphanumeric characters are compared and the case of alphabetic charac
         ters is ignored.

         Options:

         -d      Dictionary character set and order, i.e. only alphanumeric char
                 acters are compared.

         -f      Ignore the case of alphabetic characters.

         -a      Use the alternate dictionary /usr/share/dict/web2

         -t      Specify a string termination character, i.e. only the characters
                 in string up to and including the first occurrence of termchar
                 are compared.

         The look utility exits 0 if one or more lines were found and displayed, 1
         if no lines were found, and >1 if an error occurred.

## FILES

         /usr/share/dict/words  the dictionary
         /usr/share/dict/web2   the alternate dictionary

## SEE ALSO

         grep(1), sort(1)

## COMPATIBILITY

         The original manual page stated that tabs and blank characters partici
         pated in comparisons when the -d option was specified.  This was incor
         rect and the current man page matches the historic implementation.

## HISTORY

         Look appeared in Version 7 AT&T Unix.

    BSD                              June 14, 1993                             BSD